Bug 1117994

Summary: kernel-3.15.3 CPU stuck
Product: [Fedora] Fedora Reporter: Nikita Ignatovich <newrbu>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 20CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, mchehab
Target Milestone: ---Flags: kernel-team: needinfo?
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-04-28 18:23:34 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Nikita Ignatovich 2014-07-09 19:15:56 UTC
Description of problem:

After updating kernel to v. 3.15.3 (stable repo), after restarting my computer (Notebook HP pavilion g6) ,—Āonsole at boot time put error:


BUG: soft lockup - CPU#1 stuck for 22s! [Xorg:1391].


Preview kernel (3.14.9) work fine.
This bug look like a https://bugzilla.redhat.com/show_bug.cgi?id=1047380

Comment 1 Nic Harvey 2014-07-10 03:57:19 UTC
I am having the same problem with my HP Pavilion dv6 (Radeon HD 6520G)

I would conclude that the problem lies within the radeon driver as using nomodeset on the kernel command line allows gdm to start without error. Obviously this breaks plymouth.

This isn't necessary with kernel 3.14.9

Comment 2 Nikita Ignatovich 2014-07-10 13:05:39 UTC
Today i`m reinstall my Fedora with EFI booting. After installing i`m update system. And have same problem again with kernel-3.15.3 (and 3.15.4 from testing repo). Manual installation of packet kernel-3.14.9 (http://koji.fedoraproject.org/koji/buildinfo?buildID=540356) again solved the problem.

I have x86_64 Fedora with standart ATI drivers.

Comment 3 Nic Harvey 2014-08-16 17:03:20 UTC
I have updated through the whole 3.15 series and found them all to be affected by this. I updated to 3.17 on rawhide and same result.

Comment 4 Nikita Ignatovich 2014-08-16 23:23:35 UTC
Confirm this bug in 3.16 kernel. I don`t understand what they change in kernel

Comment 5 Justin M. Forbes 2014-11-13 15:56:35 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 6 Nikita Ignatovich 2014-11-17 14:29:25 UTC
Ok, now i installed Fedora 20 without full disk encryption like before. All work fine - system booting without troubles on kernel-3.17.2-200.fc20.

Comment 7 Fedora Kernel Team 2015-02-24 16:22:36 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.18.7-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 8 Fedora Kernel Team 2015-04-28 18:23:34 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.